Page MenuHomePhabricator

Extremely difficult to follow interlanguage links in Wikipedia app
Closed, ResolvedPublic

Description

As an inexperienced user of Wikipedia who downloaded "the Wikipedia app", I want to find out how to switch from an article to its version in another language.

In my casual usability testing, a user I observed doing the above on his phone failed completely: first he scrolled till the end of the page but found nothing; then he reached to the settings and found a language option, which however seemed to be about the entire site/app; finally he switched to the browser, opened the desktop site article there and followed the standard interwiki link.

The operation was made more difficult by the phone (android?) constantly asking to confirm that he wanted to open a link in chrome/app/other browser.

Event Timeline

Nemo_bis created this task.Feb 1 2015, 3:30 PM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2015, 3:30 PM

Intuitively, I totally agree with you.

For what it's worth, I also wrote https://www.mediawiki.org/wiki/Interlanguage_links/Implementation_comparison and talked to @MSyed, @aripstra, and a few other relevant people about this, and everybody seems to agree with this.

(For the sake of precision, it's done very differently on Android and on iOS. Android is considerably better, but again, this is my intuition and not proper research.)

To make it more data-driven, however, I created T78351 a while ago.

Nnemo awarded a token.Oct 28 2015, 6:59 PM
Nnemo added a subscriber: Nnemo.
Dbrant closed this task as Resolved.Oct 28 2016, 1:45 PM
Dbrant claimed this task.
Dbrant added a subscriber: Dbrant.

Closing as fixed, since we now expose the "change language" button in the bottom toolbar when reading an article. Please reopen if this is still not intuitive enough (and please tag either Wikipedia-Android-App-Backlog or Wikipedia-iOS-App-Backlog).